查询代理区域
方法: GET
端点: /api/v2/proxy/region
认证: 不需要 API token
GET
/api/v2/proxy/regionList proxy regionsAuthorizationNot required
This is a public endpoint and does not require an API token.
Parameters
Optional
Region language. Constraints: default `en`.
Request BodyNot applicable
No JSON request body. Fill the path or query parameters above.
什么时候使用这个接口
Section titled “什么时候使用这个接口”用于查询运行 Worker 时可选择的代理区域。
| 参数 | 必填 | 类型 | 说明 |
|---|---|---|---|
language | 否 | string | 代理区域名称语言。 约束:默认 en。 |
curl -X GET "https://openapi.coreclaw.com/api/v2/proxy/region?language=en"{ "code": 0, "data": { "list": [ { "code": "US", "name": "United States" } ] }, "message": "success", "request_id": "req-123"}- 此接口不需要 API token。
HTTP 响应
Section titled “HTTP 响应”| HTTP 状态 | 应用代码 | 含义 |
|---|---|---|
200 | 0 | 请求成功。 |
400 | 11000 | 请求参数不合法。 |
401 | 12001 | 认证缺失或无效。 |
404 | 11004 | 目标资源不存在。 |
422 | 11000 | 请求语义或字段校验未通过。 |
429 | 13000 | 请求过于频繁。 |
500 | 10000 | 服务端内部错误。 |